Subject: gcc 2.6.1
To: MacBSD General <macbsd-general@NetBSD.ORG>
From: Dave Leonard <>
List: macbsd-general
Date: 11/09/1994 23:37:44
People wanting to keep up with gcc stuff:

gcc 2.6.1 compiles fine under netbsd/mac68k 1.0.

I compiled the three stages anyway just for kicks (sporadically over 2 days
and about 5 reboots)

Here is what i did for just a single stage:

got gcc 2.6.0 and applied 2.6.1 patches

edited and commentted out the USER_H definition;

	./configure m68k-mac-netbsd1.0
	make install CC=cc LANGUAGES='c c++'

and bob's ya uncle. Mind you I have no idea how stable 2.6.1 is really;
but it looks pretty good.

Note I haven't compiled a complete kernel with this yet. Also I am not using
the latest binutils (gas/ld etc) and haven't trashed the cc (gcc 2.4.5)
that comes with netbsd1.0.

I hear from AB that there is an effort to port the binutils package. I had a 
bit of a go but stumbled too much before my patience ran out :)

David Leonard                
The University of Newcastle            4th year Engineering/CompSci student